# Class CIM_PExtentRedundancyComponent
extends CIM_ExtentRedundancyComponent

Describes the PhysicalExtents participating in a Storage RedundancyGroup. However, there is no need for the specificity of this association. It is deprecated in lieu of the generic ExtentRedundancyComponent relationship, its superclass.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_RedundancyComponent
|
+--CIM_ExtentRedundancyComponent
|
+--CIM_PExtentRedundancyComponent

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_ExtentRedundancyComponent
Description | string | Describes the PhysicalExtents participating in a Storage RedundancyGroup. However, there is no need for the specificity of this association. It is deprecated in lieu of the generic ExtentRedundancyComponent relationship, its superclass.
UMLPackagePath | string | CIM::Device::SccExtents
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_PExtentRedundancyComponent | CIM_StorageRedundancyGroup
PartComponent | CIM_PExtentRedundancyComponent | CIM_PhysicalExtent

## Class Methods